Page MenuHomePhabricator

Add preview type to hovercards schema
Closed, ResolvedPublic2 Story Points

Description

Add preview type to hovercards schema. Preview type may either be:

  1. Regular ("Extract") hovercard - hovercard displays preview of the article in question
  2. Generic hovercard - hovercard displays the "there is no preview available" card, currently set for articles with no lead section.

AC

  • The previewType property is added to the Schema:Popups schema.
  • The previewType property is only logged as part of the dismissed and opened actions (ideally but optionally also as part of the tapped settings cog action).
    • N.B. that the "generic" preview doesn't have the cog button.

Event Timeline

There are a very large number of changes, so older changes are hidden. Show Older Changes
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptNov 30 2016, 1:15 PM
ovasileva triaged this task as Normal priority.Nov 30 2016, 1:15 PM
ovasileva moved this task from Incoming to Triaged but Future on the Readers-Web-Backlog board.

@olliv, could you also add a description for each of the options? That would help us document the schema file as well. Thanks.

ovasileva updated the task description. (Show Details)Dec 5 2016, 11:24 AM

@bmansurov - added. Alternatively, we could make this a boolean and just count if the generic occurs - we want to track how many pages lack "regular" previews

phuedx updated the task description. (Show Details)Dec 19 2016, 6:31 PM
phuedx added subscribers: jhobs, phuedx.

@jhobs: Do those AC make sense?

@jhobs: Do those AC make sense?

Yep, looks good.

phuedx set the point value for this task to 2.Jan 4 2017, 10:26 AM
bmansurov removed jhobs as the assignee of this task.Jan 4 2017, 7:29 PM

Un assigning @jhobs as he doesn't seem to be working on this task.

We talked about this card at stand-up. @jhobs said he may have forgotten to link the patch to the task.

@jhobs once you upload your patch, are you planning on continuing on working on this task or should someone else continue?

@bmansurov I'll be continuing work on it (although I don't think there will be many iterations anyways).

Change 330718 had a related patch set uploaded (by Jhobs):
Add previewType to logging data for dismissed action

https://gerrit.wikimedia.org/r/330718

@bmansurov I found the patch, but it had rebasing issues so I just abandoned it, rebased it manually, and uploaded a fresh one.

Sorry for having missed the Dec 19 edit of the task description, but it doesn't quite make sense to only log this for dismissed actions. If we want to track the percentage (or absolute number) of generic vs. regular cards seen by readers, we need to record the preview type for all possible events that can end a card interaction, i.e. dismissed *and* open events (and strictly speaking also tapped settings cog, although that has proven to occur so rarely in the previous experiments that it likely won't affect the result here). See the lower part of the state diagram.

@Tbayer would you please update the description as you see fit?

BTW, it would be great if we could make the type names even more self-explanatory. E.g. naming them Extract and Generic instead of presently Page and Generic could save forgetful people like me from having to look up repeatedly which is which ;)

Tbayer updated the task description. (Show Details)Jan 5 2017, 9:42 PM

@Tbayer would you please update the description as you see fit?

Done

I guess it's lucky this didn't get resolved last sprint then.

@Tbayer there's no need for logging it during settings cog events because generic previews don't have the settings cog.

....

@Tbayer there's no need for logging it during settings cog events because generic previews don't have the settings cog.

Well yes, the type can be inferred in that case. It would still be the cleaner solution to log it, because it makes the queries easier and because it might help avoid errors in case the design changes at some point in the future in that respect. Then again, as mentioned, it likely won't matter quantitatively.

I've rebased rEPOP19fc1ba6c9d1: Add `previewType` to logging data for `dismissed` action. There's a comment from @bmansurov that's yet to be addressed. I've yet to review it too.

phuedx claimed this task.Jan 19 2017, 11:59 PM
phuedx moved this task from Needs More Work to Doing on the Reading-Web-Sprint-90-🍌 board.

^ Since there's been no movement on this card or rEPOP19fc1ba6c9d1: Add `previewType` to logging data for `dismissed` action for some time…

Change 334652 had a related patch set uploaded (by Phuedx):
Introduce preview model

https://gerrit.wikimedia.org/r/334652

Change 334653 had a related patch set uploaded (by Phuedx):
gateway: Don't create new object for thumbnail

https://gerrit.wikimedia.org/r/334653

Change 334654 had a related patch set uploaded (by Phuedx):
Make gateway use model

https://gerrit.wikimedia.org/r/334654

Now that there's a model of a preview, we can now define a preview's "type" in one place and simply add that to the instrumentation. This'll be the last change in the chain.

Change 334993 had a related patch set uploaded (by Phuedx):
Add type to preview model

https://gerrit.wikimedia.org/r/334993

phuedx removed phuedx as the assignee of this task.Jan 31 2017, 1:17 PM
phuedx claimed this task.Jan 31 2017, 1:34 PM
phuedx added a subscriber: Jdlrobson.

@Jdlrobson: There's are more changes in the chain to review 😉

@bmansurov: In case you didn't see it, I've responded to your comments. Thanks!

Change 334652 merged by jenkins-bot:
Introduce preview model

https://gerrit.wikimedia.org/r/334652

Change 334653 merged by jenkins-bot:
gateway: Don't create new object for thumbnail

https://gerrit.wikimedia.org/r/334653

Change 334654 merged by jenkins-bot:
Make gateway use preview model

https://gerrit.wikimedia.org/r/334654

Change 334993 merged by jenkins-bot:
Add type to preview model

https://gerrit.wikimedia.org/r/334993

Change 330718 merged by jenkins-bot:
reducers: Add preview type to dismissed event

https://gerrit.wikimedia.org/r/330718

phuedx removed phuedx as the assignee of this task.Feb 1 2017, 10:58 AM
phuedx claimed this task.Feb 2 2017, 2:48 PM

I observed the following while fiddling with the staging server:

[Popups] Value "extract" for property "previewType" is not one of ["page","generic"]

Change 335657 had a related patch set uploaded (by Phuedx):
model: extract -> page

https://gerrit.wikimedia.org/r/335657

Change 335657 merged by jenkins-bot:
model: extract -> page

https://gerrit.wikimedia.org/r/335657

phuedx removed phuedx as the assignee of this task.Feb 2 2017, 5:20 PM
ovasileva reassigned this task from ovasileva to bmansurov.Feb 9 2017, 1:09 PM

I'm not sure I'm qualified to sign off on this...

bmansurov closed this task as Resolved.Feb 9 2017, 7:55 PM
bmansurov removed bmansurov as the assignee of this task.

Tested by hovering over a link that has an extract and a link that doesn't have an extract. Waited until a popup showed and abandoned before seeing a popup.